org.keycloak.connections.httpclient

## Enum HttpClientBuilder.HostnameVerificationPolicy

- java.lang.Object
- - java.lang.Enum<HttpClientBuilder.HostnameVerificationPolicy>
  - - org.keycloak.connections.httpclient.HttpClientBuilder.HostnameVerificationPolicy

- All Implemented Interfaces:
    Serializable, Comparable<HttpClientBuilder.HostnameVerificationPolicy>
  Enclosing class:
    HttpClientBuilder

      public static enum HttpClientBuilder.HostnameVerificationPolicy
      extends Enum<HttpClientBuilder.HostnameVerificationPolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY` Hostname verification is not done on the server's certificate
    `STRICT` CN must match hostname connecting to
    `WILDCARD` Allows wildcards in subdomain names i.e.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpClientBuilder.HostnameVerificationPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HttpClientBuilder.HostnameVerificationPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final HttpClientBuilder.HostnameVerificationPolicy ANY

      Hostname verification is not done on the server's certificate

    - #### WILDCARD

          public static final HttpClientBuilder.HostnameVerificationPolicy WILDCARD

      Allows wildcards in subdomain names i.e. *.foo.com

    - #### STRICT

          public static final HttpClientBuilder.HostnameVerificationPolicy STRICT

      CN must match hostname connecting to

  - ### Method Detail

    - #### values

          public static HttpClientBuilder.HostnameVerificationPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpClientBuilder.HostnameVerificationPolicy c : HttpClientBuilder.HostnameVerificationPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpClientBuilder.HostnameVerificationPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.